## cloog-ppl 0.15.7-maemo1

=== debian/changelog ===
cloog-ppl (0.15.7-maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu lucid version

 -- Thomas Tanner <tanner@maemory.com>  Fri, 05 Feb 2010 00:00:00 +0100

cloog-ppl (0.15.7-1) unstable; urgency=low

  * New upstream version. Closes: #541842.
  * Add watch file.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 16:16:19 +0200

cloog-ppl (0.15-2) unstable; urgency=low

  * Add info dir entry. Closes: #528879.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Aug 2009 11:17:55 +0200

cloog-ppl (0.15-1) unstable; urgency=low

  * cloog-ppl 0.15 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Dec 2008 15:35:51 +0100

cloog-ppl (0.15~git20081008-2) unstable; urgency=low

  * (Build)-depend on libppl0.10-dev instead of libppl-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2008 06:49:12 +0200

cloog-ppl (0.15~git20081008-1) unstable; urgency=low

  * Update to 0.15 git 20081008.
  * Tighten build dependency on ppl.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 08:30:20 +0200

cloog-ppl (0.15~git20080903-3) unstable; urgency=low

  * Build using ppl (>= 0.10~pre27).
  * Merge from Ubuntu:
    - Rename ppl_version_* functions to cloog_version_*.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2008 08:38:13 +0200

cloog-ppl (0.15~git20080915-2) unstable; urgency=low

  * Build-depend on texinfo. Closes: #499741.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2008 18:07:08 +0200

cloog-ppl (0.15~git20080915-1) unstable; urgency=low

  * Update to 0.15 git 20080915.
    - Rename ppl_version_* functions to cloog_version_*.
    - Remove test/reports from the source tarball.
  * Build using ppl (>= 0.10~pre27).
  * debian/copyright: Update.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Sep 2008 21:53:39 +0200

cloog-ppl (0.15~git20080903-2) experimental; urgency=low

  * debian/copyright: Add GFDL.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 20:08:31 +0200

cloog-ppl (0.15~git20080903-1) experimental; urgency=low

  * Initial release (build dependency of gcc-snapshot / GCC-4.4).
  * Change the soname to libcloog-ppl, to be able to allow parallel
    installation with cloog configured with polylib.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 16:38:37 +0200
