=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod +x configure
#	./configure $(CROSS) --prefix=/usr --with-ppl \
#		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	./configure $(CROSS) --prefix=/usr --with-ppl \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,-z,defs"
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/share/info/dir*
	dh_install --sourcedir=debian/tmp --list-missing
	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/libcloog.a
	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/libcloog.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15~git20081008)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
