## cloog-ppl 0.15.9-maemo1

=== debian/changelog ===
cloog-ppl (0.15.9-maemo1) unstable; urgency=medium

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 20 Sep 2011 10:53:08 +0200

cloog-ppl (0.15.9-2) unstable; urgency=medium

  * Set the soname to `libcloog-debian.0'. The currently used name is
    used for the next (incompatible) upstream version.  Still provide
    the old name until the gcc-4.4, gcj-4.4 and gnat-4.4 packages are
    rebuilt.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Aug 2010 03:53:08 +0200

cloog-ppl (0.15.9-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2010 18:21:15 +0200

cloog-ppl (0.15.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2010 16:10:04 +0100
