=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: cloog-ppl
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, libppl0.10-dev, libgmp3-dev, texinfo
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.CLooG.org
 
 Package: libcloog-ppl-dev
 Section: libdevel
 Architecture: any
-Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.14.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
 Description: the Chunky Loop Generator (development files)
  CLooG is a software which generates loops for scanning Z-polyhedra. That is,
  CLooG finds the code or pseudo-code where each integral point of one or more
