=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,12 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	rm -f debian/tmp/usr/share/info/dir*
 	dh_install --sourcedir=debian/tmp --list-missing
+	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/libcloog-ppl.a
+	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/libcloog-ppl.so
 	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/libcloog.a
 	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/libcloog.so
+
+	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/libcloog-ppl.so.0
 
 
 # Build architecture-independent files here.
@@ -65,11 +69,10 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15~git20081008)'
+	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-2~)'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb
