## cloog-ppl 0.15.9-maemo2

=== debian/changelog ===
cloog-ppl (0.15.9-maemo2) unstable; urgency=medium

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 20 Sep 2011 10:53:08 +0200
