=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: libcloog-ppl-dev
 Section: libdevel
 Architecture: any
-Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.14.25) | install-info, ${shlibs:Depends}, ${misc:Depends}
 Description: the Chunky Loop Generator (development files)
  CLooG is a software which generates loops for scanning Z-polyhedra. That is,
  CLooG finds the code or pseudo-code where each integral point of one or more
