## cloog-ppl 0.15.11

=== debian/changelog ===
cloog-ppl (0.15.11-4) unstable; urgency=low

  * Install the cloog binary as cloog-ppl, provide cloog as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2011 18:50:25 +0100

cloog-ppl (0.15.11-3.1) unstable; urgency=low

  * NMU: Fix help2man invocation a little harder, so it actually works.

 -- Adam Conrad <adconrad@debian.org>  Thu, 08 Dec 2011 09:56:52 -0700

cloog-ppl (0.15.11-3) unstable; urgency=low

  * Fix help2man invocation.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Dec 2011 13:13:05 +0100

cloog-ppl (0.15.11-2) unstable; urgency=low

  * Add build dependency on help2man.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Dec 2011 02:09:43 +0100

cloog-ppl (0.15.11-1) unstable; urgency=low

  * Build multiarch packages.
  * Split out the binary into a new cloog-ppl package.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2011 12:47:59 +0100

cloog-ppl (0.15.9-3) unstable; urgency=low

  * Build against PPL 0.11.
  * Move to libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 16:01:52 +0100
