=== debian/control ===
Source: cloog-ppl
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libppl0.11-dev, libgmp-dev, texinfo, help2man
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-ppl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libppl0.11-dev, libgmp-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files.

Package: libcloog-ppl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.

Package: cloog-ppl
Section: devel
Architecture: any
Depends: libcloog-ppl0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libcloog-ppl-dev (<< 0.15.9-4)
Description: Chunky Loop Generator
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the cloog binary.
