=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod +x configure
#	./configure $(CROSS) \
#		--prefix=/usr \
#		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
#		--with-ppl \
#		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	./configure $(CROSS) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-ppl \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-ppl
	rm -f debian/tmp/usr/share/info/dir*
	mkdir -p debian/tmp/usr/share/man/man1
	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-debian.so.0 \
	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
		help2man -n 'The Chunky Loop Genertor' cloog-ppl \
		> debian/tmp/usr/share/man/man1/cloog-ppl.1
	dh_install --sourcedir=debian/tmp --list-missing
	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.a
	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so
	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.a
	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.so

	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.0


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-3~)'
	dh_installdeb
	dh_shlibdeps
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
