## cloog-ppl 0.16.1

=== debian/changelog ===
cloog-ppl (0.16.1-8) unstable; urgency=medium

  * Drop versioned automake dependency. Closes: #865154.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2017 10:26:00 -0400

cloog-ppl (0.16.1-7) unstable; urgency=medium

  * Build using PPL 1.2.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Nov 2016 14:04:21 +0100

cloog-ppl (0.16.1-6) unstable; urgency=medium

  * The library has a LGPL-2.1 copyright, not GPL. LP: #1271160.
  * Enable parallel builds.
  * Bump debhelper to v9.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Dec 2015 11:14:16 +0100

cloog-ppl (0.16.1-5) unstable; urgency=medium

  * Rebuild using ppl 1.1.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 19:57:49 +0100

cloog-ppl (0.16.1-4) unstable; urgency=medium

  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Dec 2013 23:26:23 +0100

cloog-ppl (0.16.1-3) unstable; urgency=low

  * Use dh_autotools-dev_* to update config.guess/config.sub for
    arm64 (Colin Watson). Closes: #711727.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jun 2013 16:02:25 +0200

cloog-ppl (0.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 16:35:43 +0200

cloog-ppl (0.16.1-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2013 02:51:16 +0100

cloog-ppl (0.15.11-5) unstable; urgency=low

  * Drop the help2man build dependency, and install a pre-generated
    man page when cross-building the package.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2012 13:49:25 +0100
