=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+COMMA = ,
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -12,12 +17,12 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	chmod +x configure
 #	./configure $(CROSS) \
 #		--prefix=/usr \
@@ -36,7 +41,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE)
+	$(MAKE) $(NJOBS)
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	-$(MAKE) check
 endif
@@ -48,6 +53,7 @@
 	rm -f *-stamp 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f doc/*.info
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build
@@ -59,18 +65,16 @@
 	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-ppl
 	rm -f debian/tmp/usr/share/info/dir*
 	mkdir -p debian/tmp/usr/share/man/man1
-	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-debian.so.0 \
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	if which help2man >/dev/null 2>&1; then \
+	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.1 \
 	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
 		help2man -n 'The Chunky Loop Genertor' cloog-ppl \
-		> debian/tmp/usr/share/man/man1/cloog-ppl.1
+		> debian/cloog-ppl.1; \
+	fi
+endif
+	cp debian/cloog-ppl.1 debian/tmp/usr/share/man/man1/
 	dh_install --sourcedir=debian/tmp --list-missing
-	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.a
-	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so
-	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.a
-	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.so
-
-	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.0
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -87,7 +91,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-3~)'
+	dh_makeshlibs -V 'libcloog-ppl1'
 	dh_installdeb
 	dh_shlibdeps
 	dh_lintian
