=== debian/watch ===
version=3
ftp://gcc.gnu.org/pub/gcc/infrastructure/cloog-ppl-([\d\.]*).tar.gz
